Rewinds the Iterator

- « AppendIterator::next

- AppendIterator::valid »

- PHP Manual
- AppendIterator
- Rewinds the Iterator

# AppendIterator::rewind

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

AppendIterator::rewind — Rewinds the Iterator

### Description

public AppendIterator::rewind(): void

Rewind to the first element of the first inner Iterator.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- Iterator::rewind() - Rewind the Iterator to the first element
- AppendIterator::current() - Gets the current value
- AppendIterator::key() - Gets the current key
- AppendIterator::next() - Moves to the next element
- AppendIterator::valid() - Checks validity of the current element